> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.box/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Voice 检查音色是否可用

> 检查生成的 Suno 自建音色是否可用。

### 使用指南

* 请在自建音色生成任务成功后调用此接口。
* 在 `task_id` 中提交相关任务 ID。
* 如果 `isAvailable` 为 `true`，表示该音色已可用于支持的 Suno 生成流程。

### 使用场景

当你准备发起依赖自建音色的生成请求前，可以先调用此接口确认音色是否可用，避免在音色尚不可用时提交后续任务。

### 相关接口

<Card title="获取自建音色记录" icon="lucide-list-checks" href="/cn/suno-api/suno-voice-record-info">
  检查可用性前，先查询最新任务状态和生成的音色信息
</Card>


## OpenAPI

````yaml /cn/suno-api/suno-voice-api-cn.json POST /api/v1/voice/check-voice
openapi: 3.0.1
info:
  title: Suno Voice API
  description: Suno Voice 自建音色 API 文档
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@api.box
servers: []
security:
  - BearerAuth: []
tags:
  - name: docs
  - name: docs/zh-CN
  - name: docs/zh-CN/Market
  - name: docs/zh-CN/Market/Suno API
  - name: docs/zh-CN/Market/Suno API/voice
  - name: suno接口/voice
paths:
  /api/v1/voice/check-voice:
    post:
      tags:
        - docs/zh-CN/Market/Suno API/voice
        - suno接口/voice
      summary: Suno Voice检查是否可用接口
      description: >
        检查生成的 Suno 自建音色是否可用。


        音色生成完成后，可使用此接口验证该音色是否能够在支持 Suno 自建音色的生成接口中使用。提交相关任务 ID，并查看响应中的
        `isAvailable` 值。


        ## 使用场景


        当你准备发起依赖自建音色的音乐生成请求前，可以先调用此接口确认音色是否已经可用。


        <Card
          title="获取音色记录"
          icon="lucide-search"
          href="/cn/suno-api/suno-voice-record-info"
        >
          建议先查询音色生成任务，获取最新任务状态和生成的音色信息
        </Card>


        相关资源


        <CardGroup cols={2}>
          <Card title="生成音色" icon="lucide-mic" href="/cn/suno-api/suno-voice-generate"> 根据验证音频创建自建音色 </Card>
          <Card title="通用 API" icon="lucide-cog" href="/cn/suno-api/get-remaining-credits"> 查看账户积分和使用情况 </Card>
        </CardGroup>
      operationId: suno-voice-check-voice
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                task_id:
                  description: 需要检查的任务ID
                  type: string
              required:
                - task_id
            example:
              task_id: ''
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      isAvailable:
                        type: boolean
                        description: 音色是否可用。true 表示可用，false 表示暂不可用。
                    required:
                      - isAvailable
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  isAvailable: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        # API 认证说明

        所有接口都需要通过 Bearer Token 方式进行认证。

        ## 获取 API Key

        1. 访问 [API Key 管理页面](https://api.box/api-key) 获取您的 API Key

        ## 使用方式

        在请求头中添加：

        ```
        Authorization: Bearer YOUR_API_KEY
        ```

        > **注意：**
        > - 请妥善保管您的 API Key，不要泄露给他人
        > - 如果怀疑 API Key 泄露，请立即在管理页面重置

````